(function($) {
    'use strict';


    
	// Mobile Menu
    $('.mobile-menu nav').meanmenu({
        meanScreenWidth: "991",
        meanMenuContainer: ".mobile-menu",
		meanMenuOpen: "<span></span> <span></span> <span></span>",
        onePage: false,
    });	


    /*=============================================
    =       Menu sticky & Scroll to top          =
    =============================================*/
    /*=====   Menu sticky   ======*/
	var windows = $(window);
	var screenSize = windows.width();
	var sticky = $('.header-sticky');
	var $html = $('html');
	var $body = $('body');

	windows.on('scroll', function () {
		var scroll = windows.scrollTop();
		var headerHeight = sticky.height();

		if (screenSize >= 320) {
			if (scroll < headerHeight) {
				sticky.removeClass('is-sticky');
			} else {
				sticky.addClass('is-sticky');
			}
		}

	});
 /*=====  End of Menu sticky    ======*/

        /* Course list Active
		============================*/
        $('.course_list').owlCarousel({
            loop: true,
            autoplay: true,
            margin:20,
            dots: false,
            dotsEach:false,
            nav:true,
            navText: ["<i class='bi bi-arrow-left'></i>", "<i class='bi bi-arrow-right'></i>"],
            responsive: {
                0: {
                    items: 1
                },
                600: {
                    items: 1
                },
                768: {
                    items: 2
                },
                992: {
                    items: 2
                },
                1000: {
                    items: 3
                },
                1920: {
                    items: 3
                }
            }
        });

        /* Team list Active
        ============================*/
        $('.team_list').owlCarousel({
            loop: true,
            autoplay: true,
            margin:20,
            dots: false,
            dotsEach:false,
            nav:false,
            navText: ["<i class='bi bi-arrow-left'></i>", "<i class='bi bi-arrow-right'></i>"],
            responsive: {
                0: {
                    items: 1
                },
                600: {
                    items: 1
                },
                768: {
                    items: 1
                },
                992: {
                    items: 2
                },
                1000: {
                    items: 2
                },
                1920: {
                    items: 2
                }
            }
        });
        
        /* Our Team list Active
		============================*/
        $('.our_team_list').owlCarousel({
            loop: true,
            autoplay: true,
            margin:20,
            dots: false,
            dotsEach:false,
            nav:true,
            navText: ["<i class='bi bi-arrow-left'></i>", "<i class='bi bi-arrow-right'></i>"],
            responsive: {
                0: {
                    items: 1
                },
                600: {
                    items: 2
                },
                768: {
                    items: 2
                },
                992: {
                    items: 2
                },
                1000: {
                    items: 3
                },
                1920: {
                    items: 4
                }
            }
        });
        
        /* Testimonial list Active
		============================*/
        $('.testimonial_list').owlCarousel({
            loop: true,
            autoplay: true,
            margin:20,
            dots: false,
            dotsEach:false,
            nav:true,
            navText: ["<i class='bi bi-arrow-left'></i>", "<i class='bi bi-arrow-right'></i>"],
            responsive: {
                0: {
                    items: 1
                },
                600: {
                    items: 1
                },
                768: {
                    items: 2
                },
                992: {
                    items: 2
                },
                1000: {
                    items: 3
                },
                1920: {
                    items: 3
                }
            }
        });

        // Venubox
        $('.venobox').venobox({
            numeratio: true,
            infinigall: true
        });

           // <!--top button java script  -->
        
        $(window).on('scroll', function () {
            var scrolled = $(window).scrollTop();
            if (scrolled > 300) $('.go-top').addClass('active');
            if (scrolled < 300) $('.go-top').removeClass('active');
        });

        $('.go-top').on('click', function () {
            $("html, body").animate({
                scrollTop: "0"
            }, 1200);
        });



})(jQuery);





